# pycomp.py
# Python 2 and Python 3 compatibility module
#
# Copyright (C) 2013-2016 Red Hat, Inc.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions of
# the GNU General Public License v.2, or (at your option) any later version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY expressed or implied, including the implied warranties of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.  You should have received a copy of the
# GNU General Public License along with this program; if not, write to the
# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
# source code or documentation are not subject to the GNU General Public
# License and may only be used or replicated with the express permission of
# Red Hat, Inc.
#
from sys import version_info
from gettext import NullTranslations

import base64, email.mime.text, gettext, itertools, locale, sys, types

PY3 = version_info.major >= 3

from io import StringIO
from configparser import ConfigParser
import queue, urllib.parse, shlex
long = int
Queue = queue.Queue
filterfalse = itertools.filterfalse
basestring = unicode = str
    
NullTranslations.ungettext = NullTranslations.ngettext
NullTranslations.ugettext = NullTranslations.gettext
urlparse = urllib.parse
base64_decodebytes = base64.decodebytes
raw_input = input
sys_maxsize = sys.maxsize
urllib_quote = urlparse.quote
shlex_quote = shlex.quote
xrange = range
    
def gettext_setup(t):
    return (t.gettext, t.ngettext)

def is_py3bytes(o):
    return isinstance(o, bytes)
def is_py2str_py3bytes(o):
    return isinstance(o, bytes)

format = locale.format_string
ModuleType = lambda m: types.ModuleType(m)
def setlocale(category, loc=None):
    locale.setlocale(category, loc)
def email_mime(body):
    return email.mime.text.MIMEText(body)
def write_to_file(f, content):
    f.write(content)